Packages - Bug #2477

[conky]: not installable/upgradable - depends on blacklisted 'libxnvctrl’
2019-09-03 10:22 PM - bill-auger

Status: fixed % Done: 80%
Priority: broken

Assignee: bill-auger

Category:

Description

$ sudo pacman -Syu

resolving dependencies...
warning: cannot resolve "libxnvctrl", a dependency of "conky"
The following package cannot be upgraded due to unresolvable dependencies:
conky

$ pacman —-Si conky | grep Depends
Depends On : glib2 1lua wireless_tools libxdamage libxinerama libxft imlib2 libxml2 1i
bpulse libxnvctrl

Related issues:
Related to Packages - Freedom Issue #763: [libxnvctrl] only useful with nonfr... fixed 2015-07-25

History

#1 - 2019-09-03 10:23 PM - bill-auger

- Related to Freedom Issue #763: [libxnvctrl] only useful with nonfree software added

#2 - 2019-09-03 10:24 PM - bill-auger

- Description updated

#3 - 2020-05-22 05:25 PM - freemor
- % Done changed from 0 to 80

- Status changed from confirmed to in progress

There is now a Conkey in [libre-testing] with Nvidia stuff removed.
x86_64 and 686 built fine and have been pushed. ARM failed in configure with missing curses libs. Need to track that down

People should definitely test and report back

#4 - 2022-04-21 03:59 AM - gap

We might also want to explicitly turn off BUILD_NVIDIA even though it's already disabled by default, in case it gets enabled by default in a later
version.

#5 - 2022-05-03 05:57 AM - bill-auger

this ticket went stale; so i revisited it

this package had multiple policy issues also - the PKGBUILD lists only 'BSD' and 'GPL'"; but according to the 'COPYING! file, there are more licenses
in effect - the project was originally forked from a BSD-licensed code-base; but the primary license is GPLv3, with some (third-party?) parts under

LGPLv2.1 and ISC

the upstream source only includes a BSD3 and a GPLv3 license; so presumably that was the basis of the existing license=() array - the BSD license
does not get installed though, as it should, per arch policy

the issues:
e 'GPL' should be 'GPL3'
¢ the license=() array does not include 'LGPL' and 'ISC'

¢ the package() function does not install the BSD or ISC licenses

in the upstream sources, the ISC license exists, but only as the header comment of the src/prss.{cc,h} files - i created the ISC license by running
“head’ on the prss.h file in prepare()
that was what i could determine by reading the COPYING file - however, when i looked into the code-base, i found at least one other third-party
project, not mentioned in the COPYING file (‘catch2'), which is boost-licensed - i only looked at a few files; but presuming that there is no additional
third-party code included, the license=() array should be:

license=('Boost' 'BSD' 'GPL3"'ISC' 'LGPL")

besides that, the arch package is built from an arbitrary VCS commit, despite that the pkgname does not end with -git, and pkgver is the latest
upstream release version, for which the upstream has published a versioned source-ball

#6 - 2022-05-03 08:00 AM - bill-auger

- Assignee set to bill-auger

#7 - 2022-05-03 08:00 AM - bill-auger

- Status changed from in progress to fixed

#8 - 2022-05-03 03:23 PM - gap

- MAINTAINER_MODE is set to both ON and OFF in lines 52 and 65, respectively.
- Why is libxnvctrl left as a virtual dependency (lines 29, 30, 31, and 32) instead of being removed entirely?
- Odd indentation in the cmake -D options (lines 51-64, inclusive).

#9 - 2022-05-03 09:54 PM - bill-auger

that was intentional as a bug fix - i am re-doing this one -
the latest arch PKGBUILD has a better fix
